Skip to main content
DELETE
/
anomaly_notifications
/
{anomaly_notification_token}
Delete anomaly notification
curl --request DELETE \
  --url https://api.vantage.sh/v2/anomaly_notifications/{anomaly_notification_token} \
  --header 'Authorization: Bearer <token>'
{
  "token": "<string>",
  "cost_report_token": "<string>",
  "created_at": "2023-08-04T00:00:00Z",
  "updated_at": "2023-08-04T00:00:00Z",
  "threshold": 123,
  "user_tokens": [
    "<string>"
  ],
  "recipient_channels": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

anomaly_notification_token
string
required

Response

AnomalyNotification model

token
string
required
cost_report_token
string
required

The token for the CostReport the AnomalyNotification is associated with.

created_at
string
required

The date and time, in UTC, the AnomalyNotification was created. ISO 8601 Formatted.

Example:

"2023-08-04T00:00:00Z"

updated_at
string
required

The date and time, in UTC, the AnomalyNotification was last updated at. ISO 8601 Formatted.

Example:

"2023-08-04T00:00:00Z"

threshold
integer<int32>
required

The threshold amount that must be met for the notification to fire.

user_tokens
string[]
required

The tokens of the users that receive the notification.

recipient_channels
string[]
required

The channels that the notification is sent to.